# Created by pyp2rpm-1.0.1
%global pypi_name gevent-websocket
%global with_python3 0
%define version 0.9.3

Name:           python-gevent-websocket
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        Websocket handler for the gevent pywsgi server, a Python network library

License:        ASL %(TODO: version)s
URL:            TODO:
Source0:        https://pypi.python.org/packages/source/g/gevent-websocket/gevent-websocket-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
================
gevent-websocket
================

`gevent-websocket`_ is a
WebSocket library for the gevent_ networking library.

Features include:

-
Integration on both socket level or using an abstract interface.
- RPC and
PubSub framework using `WAMP`_ (WebSocket Application
  Messaging Protocol).
-
Easily extendible using a simple WebSocket protocol plugin API


::

    from
...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Websocket handler for the gevent pywsgi server, a Python network library


%description -n python3-%{pypi_name}
================
gevent-websocket
================

`gevent-websocket`_ is a
WebSocket library for the gevent_ networking library.

Features include:

-
Integration on both socket level or using an abstract interface.
- RPC and
PubSub framework using `WAMP`_ (WebSocket Application
  Messaging Protocol).
-
Easily extendible using a simple WebSocket protocol plugin API


::

    from
...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/geventwebsocket
%{python_sitelib}/gevent_websocket-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst LICENSE
%{python3_sitelib}/geventwebsocket
%{python3_sitelib}/gevent_websocket-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Tue Sep 23 2014 pinoc <vogtpet at gmail.com> 0.9.3-1pclos2014
- imported package
